import { useParams } from "wouter";
import { useRef } from "preact/hooks";
import { useMentions } from "../../App/useMentions";

export const Title = ({ title, onInput }) => {
    const input = useRef(null);
    useMentions(input);

    return (
        <>
            <label class="is-sr-only" for="embedTitle">
                Embed Title
            </label>
            <textarea
                class="discord-title message-input  autoresize"
                placeholder="Embed Title..."
                maxlength={256}
                rows={1}
                ref={input}
                name="embed_title"
                value={title}
                onInput={(ev) => {
                    onInput(ev.currentTarget.value);
                }}
            ></textarea>
        </>
    );
};
